/// <reference types="node" />
import { DomainEventMessage } from 'cm-schema-event';
export * from './domain-event-cipher';
export declare class DomainEventCodec<T, M> {
    private schemaMessage;
    constructor();
    encode(message: DomainEventMessage<T, M>): Promise<Buffer>;
    decode(encodedBuffer: Buffer): Promise<DomainEventMessage<T, M>>;
}
