import { AppBase, RateLimitExceededEventHandler } from './app-base';
export * from '@graphql-tools/schema';
export * from 'apollo-server-core';
export * from 'apollo-server-express';
export * from 'apollo-server-plugin-base';
export declare abstract class AppGraphQl extends AppBase {
    _schema: string;
    init(schema: any, resolvers: any, origins?: string, overrides?: any, rateLimitHandler?: RateLimitExceededEventHandler): Promise<this>;
    private context;
    private formatError;
    get schema(): string;
}
