import { Request } from 'express';
import { Ability, AuthToken, AuthDirective } from './auth-type';
export declare function auth(req: Request, authDirective: AuthDirective): Promise<AuthToken>;
export declare function isAuthenticated(authToken: AuthToken): boolean;
export declare function hasAbility(authToken: AuthToken, spec: Ability): void;
